PortAudio 2.0

Data Structures | Macros | Functions
paex_saw.c File Reference
Example programs demonstrating PortAudio usage

Play a simple (aliasing) sawtooth wave. More...

`#include <stdio.h>`
`#include <math.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Data Structures
struct | paTestData

## Macros
#define | NUM_SECONDS (4)
#define | SAMPLE_RATE (44100)

## Functions
int | main (void)

## Detailed Description

Play a simple (aliasing) sawtooth wave.

Author
  Phil Burk http://www.softsynth.com

Definition in file paex_saw.c.

## Macro Definition Documentation

## ◆ NUM_SECONDS

#define NUM_SECONDS (4)

Definition at line 47 of file paex_saw.c.

## ◆ SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 48 of file paex_saw.c.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 91 of file paex_saw.c.